Skip to main content

Sale on mPOS Attended Devices


Use this information to process a mobile point-of-sale (mPOS) sale on attended parking devices.

Endpoints

POST /pts/v2/payments

POST /pts/v2/payments

Example

{  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Sale",    "partner": {      "developerId": "prodDeveloperId",      "thirdPartyCertificationNumber": "prodTPCN",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID"  },  "processingInformation": {    "commerceIndicator": "retail",    "capture": true,    "authorizationOptions": {      "authIndicator": 1    }  },  "paymentInformation": {    "card": {      "type": "002"    },    "initiationChannel": "00"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "currency": "EUR"    }  },  "pointOfSaleInformation": {    "entryMode": "contactless",    "catLevel": 6,    "isDedicatedHardwareTerminal": "0",    "terminalPinCapability": 0,    "emv": {      "cardSequenceNumber": "01",      "tags": "9A032203259C01005F2A0206049F1A0206049F02060000000080009F03060000000000005F3401019F3602000282021B808407A0000000041010950500200080019F10120110A0000F040000000000000000000000FF9F260843C74BCF90E3126C9F2701809F33036008089F34033F00029F37044D65B4D89F6E0700560000303000"    },    "trackData": ";541333xx89700042=49122010123456789?",    "terminalCapability": 4,    "serviceCode": "201"  },  "merchantInformation": {    "transactionLocalDateTime": "20260225115959"  }}
{  "_links": {    "void": {      "method": "POST",      "href": "/pts/v2/payments/7720615545406407503813/voids"    },    "self": {      "method": "GET",      "href": "/pts/v2/payments/7720615545406407503813"    }  },  "clientReferenceInformation": {    "code": "test123",    "comments": "Parking Sale",    "partner": {      "developerId": "prodDeveloperId",      "solutionId": "prodSolutionId"    },    "transactionId": "UniqueTranID"  },  "id": "7720615545406407503813",  "issuerInformation": {    "clearingData": "6700210103F0F7F2031AF0F0F0F0F0F0F4F0F0F9F3F0F0F8F4F0F7F3F9F4F94040404040",    "transactionInformation": "LWkYd_0-Z4XIhyufsEssq2"  },  "orderInformation": {    "amountDetails": {      "totalAmount": "20.00",      "authorizedAmount": "20.00",      "currency": "EUR"    }  },  "paymentAccountInformation": {    "card": {      "type": "002"    }  },  "paymentInformation": {    "accountFeatures": {      "category": "M",      "group": "0"    },    "tokenizedCard": {      "type": "002"    },    "card": {      "type": "002"    }  },  "pointOfSaleInformation": {    "emv": {      "tags": "5F3401019F2701809F34033F0002"    }  },  "processorInformation": {    "systemTraceAuditNumber": "050630",    "merchantNumber": "12345678901",    "approvalCode": "552642",    "networkTransactionId": "0225MCC0000OA",    "retrievalReferenceNumber": "605623050630",    "transactionId": "0225MCC0000OA",    "responseCode": "00",    "avs": {      "code": "2"    }  },  "reconciliationId": "7720615545406407503813",  "status": "AUTHORIZED",  "submitTimeUtc": "2026-02-25T23:19:15Z"}
FieldTypeDescription
clientReferenceInformation.code
clientReferenceInformation.commentsSet the value to Parking Sale.
clientReferenceInformation.partner.developerId provides the value for this field.
clientReferenceInformation.partner.solutionId provides the value for this field.
clientReferenceInformation.partner.thirdPartyCertificationNumber provides the value for this field.
clientReferenceInformation.transactionId
merchantInformation.transactionLocalDateTime
orderInformation.amountDetails.currency
orderInformation.amountDetails.totalAmount
paymentInformation.card.type
paymentInformation.initiationChannel
pointOfSaleInformation.catLevelSet the value to 6.
pointOfSaleInformation.emv.cardSequenceNumber
pointOfSaleInformation.emv.tags
pointOfSaleInformation.entryMode
pointOfSaleInformation.isDedicatedHardwareTerminalA value is required for Mastercard transactions.
pointOfSaleInformation.serviceCode
pointOfSaleInformation.terminalCapability
pointOfSaleInformation.terminalPinCapability
pointOfSaleInformation.trackData
processingInformation.authorizationOptions.authIndicatorSet the value to 0.
processingInformation.captureSet the value to true.
processingInformation.commerceIndicatorSet the value to retail.

Last published: September 29, 2026